Subject: IAC-# 2323 -- New ucd modules - REPOST

From: AVS account <[email-masked]>
Date: Fri, 10 Sep 93 14:58:55 EDT

User: [email-masked]
Submission Date: Fri Sep 10 10:39:35 EDT 1993
Keywords:
Problem Status: open
Problem # 2323 :
Hi,

I've just submitted three small modules in directory SUBMIT/coxjp on the ftp
site - hope people will find them useful.  I developed the modules to allow me
to create ucd networks that have a more sensible user interface.  The modules
are in three separate directories all tared up and compressed.

choice - allows choice values to be made and output into dataflow networks.
         This allows the choice parameters of several modules to be controlled
         by a single widget.  I think outputting choice values is undocumented
         but it seems to work.

ucd_comp - allows the component selection choices of several ucd modules to be
           controlled by a single widget.  A suitable textual title for the
           selected component is made available on a textual output port.  This
           is useful for setting the title parameter of the label module.

ucd_select - an alternative to ucd minmax which provides more control over when
             the min/max range is reset when a new UCD structure is received.
             It also filters a colormap input to allow the color legend module
             to be used with ucd modules.

Example networks are included to show how the modules may be used.

They're all cooperative and reentrant but written in ANSI C I'm afraid.

Ta ta,

Jon.

Jonathan Cox.                              Email [email-masked]
IT 301, Department of Computer Science,
University of Manchester,                  Tel: (+44) (0)61-275-6270
Manchester.  M13 9PL.  England.            Fax: (+44) (0)61-275-6280

Solution: